vty_app_info Struct Reference
VTY (Virtual TTY) interface

Information an application registers with the VTY. More...

`#include <vty.h>`

## Data Fields

const char * | name
| name of the application More...
const char * | version
| version string of the application More...
const char * | copyright
| copyright string of the application More...
void * | tall_ctx
| talloc context More...
int(* | go_parent_cb )(struct vty *vty)
| call-back for returning to parent n ode More...
int(* | is_config_node )(struct vty *vty, int node)
| call-back to determine if node is config node More...
int(* | config_is_consistent )(struct vty *vty)
| Check if the config is consistent before write. More...

## Detailed Description

Information an application registers with the VTY.

## Field Documentation

## config_is_consistent

int(* vty_app_info::config_is_consistent) (struct vty *vty)

Check if the config is consistent before write.

Referenced by DEFUN().

## copyright

const char* vty_app_info::copyright

copyright string of the application

Referenced by DEFUN(), print_version(), and vty_hello().

## go_parent_cb

int(* vty_app_info::go_parent_cb) (struct vty *vty)

call-back for returning to parent n ode

Referenced by vty_go_parent().

## is_config_node

int(* vty_app_info::is_config_node) (struct vty *vty, int node)

call-back to determine if node is config node

Referenced by is_config_child().

## name

const char* vty_app_info::name

name of the application

Referenced by _cfg_log_syslog(), DEFUN(), print_version(), vty_hello(), vty_prompt(), and write_config_file().

## tall_ctx

void* vty_app_info::tall_ctx

talloc context

Referenced by talloc_ctx_walk().

## version

const char* vty_app_info::version

version string of the application

Referenced by DEFUN(), print_version(), and write_config_file().

The documentation for this struct was generated from the following file:

- include/osmocom/vty/vty.h